PluralAttributeImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class PluralAttributeImpl<X,C,E>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractAttribute<X,C>
          org.hibernate.ejb.metamodel.PluralAttributeImpl<X,C,E>

All Implemented Interfaces:
  Serializable, Attribute<X,C>, Bindable<E>, PluralAttribute<X,C,E>, AttributeImplementor<X,C>

    public abstract class PluralAttributeImpl<X,C,E>

extends AbstractAttribute<X,C>
implements PluralAttribute<X,C,E>, Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `PluralAttributeImpl.Builder<X,C,E,K>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute
`PluralAttribute.CollectionType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Method Summary
`static
`<X,C,E,K> PluralAttributeImpl.Builder<X,C,E,K>`
` | `create(AbstractManagedType<X> ownerType, Type<E> attrType, Class<C> collectionClass, Type<K> keyType)`
`Class<E>` | `getBindableJavaType()`
`Bindable.BindableType` | `getBindableType()`
`Type<E>` | `getElementType()`
`boolean` | `isAssociation()`
`boolean` | `isCollection()`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractAttribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, readObject, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.PluralAttribute
`getCollectionType`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType`

Method Detail

### create

    public static <X,C,E,K> PluralAttributeImpl.Builder<X,C,E,K> create(AbstractManagedType<X> ownerType,
                                                                        Type<E> attrType,
                                                                        Class<C> collectionClass,
                                                                        Type<K> keyType)

### getElementType

    public Type<E> getElementType()

  Specified by:
    `getElementType` in interface `PluralAttribute<X,C,E>`

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `Attribute<X,C>`

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in interface `Attribute<X,C>`

### getBindableType

    public Bindable.BindableType getBindableType()

  Specified by:
    `getBindableType` in interface `Bindable<E>`

### getBindableJavaType

    public Class<E> getBindableJavaType()

  Specified by:
    `getBindableJavaType` in interface `Bindable<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.